Bug 491264 - kernel-rt should be built with -fwrapv [mrg-1]
kernel-rt should be built with -fwrapv [mrg-1]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.1
All Linux
high Severity high
: 1.1.3
: ---
Assigned To: Red Hat Real Time Maintenance
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 02:25 EDT by Eugene Teo (Security Response)
Modified: 2016-05-22 19:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 11:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (1.25 KB, patch)
2009-03-20 02:28 EDT, Eugene Teo (Security Response)
no flags Details | Diff

  None (edit)
Description Eugene Teo (Security Response) 2009-03-20 02:25:28 EDT
Description of problem:
Add '-fwrapv' to gcc CFLAGS. This makes sure that gcc doesn't try to optimize away wrapping arithmetic, which the kernel occasionally uses for overflow testing, ie things like

if (ptr + offset < ptr)

which technically is undefined for non-unsigned types. See

http://bugzilla.kernel.org/show_bug.cgi?id=12597

for details.

Not all versions of gcc support it, so we need to make it conditional (it looks like it was introduced in gcc-3.4).
Comment 5 David Sommerseth 2009-05-26 10:32:03 EDT
Verified by code review.  Upstream patch (attached here) found in 2.6.24.7-117.el5rt source tree.
Comment 7 errata-xmlrpc 2009-06-03 11:37:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1081.html

Note You need to log in before you can comment on or make changes to this bug.